Subject: [bug#73948] [PATCH 0/2] 'derivation-build-plan' returns builds in topological order

From: <[email-masked]>
Date: Wed, 06 Nov 2024 10:11:46 +0100

Ludovic Courtès writes:

Hi,

> There’s one situation in ‘cuirass remote-worker’ where I found that it
> would be more convenient for ‘derivation-build-plan’ to return the list of
> builds in topological order, so a worker can perform them sequentially
> in the right order.
>
> From a UI viewpoint, it also seems to make more sense to display the
> list of things to build in topological order.
>
> Thoughts?

LGTM, and lovely.

Having this sorted would be a big help, I'm often trying to figure this
out by traversing drvs!

-- 
Janneke Nieuwenhuizen <[email-masked]>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar® https://AvatarAcademy.com